RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Classes | Public Member Functions | Static Public Member Functions | Protected Attributes | Properties | List of all members
DeltaVSoft.RCFProto.TransportProtocolList Class Reference
Inheritance diagram for DeltaVSoft.RCFProto.TransportProtocolList:

## Classes
class | TransportProtocolListEnumerator

## Public Member Functions
virtual void | Dispose ()
| TransportProtocolList (System.Collections.ICollection c)
void | CopyTo (TransportProtocol[] array)
void | CopyTo (TransportProtocol[] array, int arrayIndex)
void | CopyTo (int index, TransportProtocol[] array, int arrayIndex, int count)
TransportProtocolListEnumerator | GetEnumerator ()
void | Clear ()
void | Add (TransportProtocol x)
| TransportProtocolList ()
| TransportProtocolList (TransportProtocolList other)
| TransportProtocolList (int capacity)
void | AddRange (TransportProtocolList values)
TransportProtocolList | GetRange (int index, int count)
void | Insert (int index, TransportProtocol x)
void | InsertRange (int index, TransportProtocolList values)
void | RemoveAt (int index)
void | RemoveRange (int index, int count)
void | Reverse ()
void | Reverse (int index, int count)
void | SetRange (int index, TransportProtocolList values)

## Static Public Member Functions
static TransportProtocolList | Repeat (TransportProtocol value, int count)

## Protected Attributes
bool | swigCMemOwn

## Properties
bool | IsFixedSize`[get]`
bool | IsReadOnly`[get]`
TransportProtocol | this[int index]`[get, set]`
int | Capacity`[get, set]`
int | Count`[get]`
bool | IsSynchronized`[get]`

## Constructor & Destructor Documentation

DeltaVSoft.RCFProto.TransportProtocolList.TransportProtocolList | ( | System.Collections.ICollection | c | ) |

DeltaVSoft.RCFProto.TransportProtocolList.TransportProtocolList | ( |  | ) |

DeltaVSoft.RCFProto.TransportProtocolList.TransportProtocolList | ( | TransportProtocolList | other | ) |

DeltaVSoft.RCFProto.TransportProtocolList.TransportProtocolList | ( | int | capacity | ) |

## Member Function Documentation

void DeltaVSoft.RCFProto.TransportProtocolList.Add | ( | TransportProtocol | x | ) |

void DeltaVSoft.RCFProto.TransportProtocolList.AddRange | ( | TransportProtocolList | values | ) |

void DeltaVSoft.RCFProto.TransportProtocolList.Clear | ( |  | ) |

void DeltaVSoft.RCFProto.TransportProtocolList.CopyTo | ( | TransportProtocol[] | array | ) |

void DeltaVSoft.RCFProto.TransportProtocolList.CopyTo | ( | TransportProtocol[] | array,
|  | int | arrayIndex
| ) |  |

void DeltaVSoft.RCFProto.TransportProtocolList.CopyTo | ( | int | index,
|  | TransportProtocol[] | array,
|  | int | arrayIndex,
|  | int | count
| ) |  |

virtual void DeltaVSoft.RCFProto.TransportProtocolList.Dispose | ( |  | ) |
| virtual

TransportProtocolListEnumerator DeltaVSoft.RCFProto.TransportProtocolList.GetEnumerator | ( |  | ) |

TransportProtocolList DeltaVSoft.RCFProto.TransportProtocolList.GetRange | ( | int | index,
|  | int | count
| ) |  |

void DeltaVSoft.RCFProto.TransportProtocolList.Insert | ( | int | index,
|  | TransportProtocol | x
| ) |  |

void DeltaVSoft.RCFProto.TransportProtocolList.InsertRange | ( | int | index,
|  | TransportProtocolList | values
| ) |  |

void DeltaVSoft.RCFProto.TransportProtocolList.RemoveAt | ( | int | index | ) |

void DeltaVSoft.RCFProto.TransportProtocolList.RemoveRange | ( | int | index,
|  | int | count
| ) |  |

static TransportProtocolList DeltaVSoft.RCFProto.TransportProtocolList.Repeat | ( | TransportProtocol | value,
|  | int | count
| ) |  |
| static

void DeltaVSoft.RCFProto.TransportProtocolList.Reverse | ( |  | ) |

void DeltaVSoft.RCFProto.TransportProtocolList.Reverse | ( | int | index,
|  | int | count
| ) |  |

void DeltaVSoft.RCFProto.TransportProtocolList.SetRange | ( | int | index,
|  | TransportProtocolList | values
| ) |  |

## Member Data Documentation

bool DeltaVSoft.RCFProto.TransportProtocolList.swigCMemOwn
| protected

## Property Documentation

int DeltaVSoft.RCFProto.TransportProtocolList.Capacity
| get set

int DeltaVSoft.RCFProto.TransportProtocolList.Count
| get

bool DeltaVSoft.RCFProto.TransportProtocolList.IsFixedSize
| get

bool DeltaVSoft.RCFProto.TransportProtocolList.IsReadOnly
| get

bool DeltaVSoft.RCFProto.TransportProtocolList.IsSynchronized
| get

TransportProtocol DeltaVSoft.RCFProto.TransportProtocolList.this[int index]
| get set

The documentation for this class was generated from the following file:

- TransportProtocolList.cs